What's new

Math and Variables error

Omanoctoa

Active Member
Premium Supporter
Supporter
Joined
Mar 10, 2016
Messages
430
Hello!
I took a break from Minecraft and came back to create a new server. I've gone through my old MythicMobs many times over but cannot seem to figure out how to resolve this new error...

Code:
> [10:36:57] [Server thread/WARN]: [MythicMobs] Failed to parse Placeholder '.5': Math and variables in numeric values require premium! Consider getting MythicMobs Premium at www.mythicmobs.net.
> [10:36:57] [Server thread/WARN]: [MythicMobs] Failed to parse Placeholder '.5': Math and variables in numeric values require premium! Consider getting MythicMobs Premium at www.mythicmobs.net.
> [10:36:57] [Server thread/WARN]: [MythicMobs] Failed to parse Placeholder '.1': Math and variables in numeric values require premium! Consider getting MythicMobs Premium at www.mythicmobs.net.

I have lots of Mythic Mobs but only one currently spawned in my world, however this error appears regardless if that mob is spawned. However, it appears to be impacted by the Error since none of it's particle skills work...

Does the following skill require Premium status to function?
Code:
Aura-ShieldParticles:
  Skills:
  - effect:particlesphere{particle=magicCrit;amount=80;radius=5;hs=.1;vs=.1;s=.001;y=5;}

Please help
 

Omanoctoa

Active Member
Premium Supporter
Supporter
Joined
Mar 10, 2016
Messages
430
Also, when I spawn my mob Console gets spammed with
Code:
> [11:17:10] [Craft Scheduler Thread - 32/WARN]: [MythicMobs] Plugin MythicMobs v4.7.2-FREE generated an exception while executing task 1252
java.lang.NullPointerException: null
at io.lumine.xikage.mythicmobs.mobs.MobManager.cleanActiveMobs(MobManager.java:481) ~[?:?]
at io.lumine.xikage.mythicmobs.clock.MythicMobsAsyncClock.run(MythicMobsAsyncClock.java:34) ~[?:?]
at org.bukkit.craftbukkit.v1_14_R1.scheduler.CraftTask.run(CraftTask.java:81) ~[minecraft_server.jar:git-Spigot-56f8471-6567017]
at org.bukkit.craftbukkit.v1_14_R1.scheduler.CraftAsyncTask.run(CraftAsyncTask.java:54) [minecraft_server.jar:git-Spigot-56f8471-6567017]
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_222]
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_222]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_222]
...until I use Plugman to reload it.
 

iTzCascadexX

Member
Premium Supporter
Supporter
Moderator
Quality Assurance
Joined
Nov 2, 2015
Messages
164
You're on a non-premium version of the plugin, which is why you're seeing this error.
 

Omanoctoa

Active Member
Premium Supporter
Supporter
Joined
Mar 10, 2016
Messages
430
You're on a non-premium version of the plugin, which is why you're seeing this error.
How would I install the Premium version manually? Due to restraints with my current Host, I have to manually add new files one by one. Would it be as simple as creating a new file called "MythicMobs-4.8.0" and copy the existing code into that file? It comes up garbled so I doubt it...any thoughts?
 
Top